Subject: RE: [lojban] polyadic connectives

From: "And Rosta" <[email-masked]>
Date: Sat, 18 Aug 2001 07:22:13 +0100

Robin:
> On Sat, Aug 18, 2001 at 04:22:09AM +0100, And Rosta wrote:
> > There was some recent discussion, instigated by pc, about more-than-binary
> > connectives. For some, like an extended xor, it's easy to see how to
> > render them: "exactly one of A, B, C is true". 
> 
> Umm, no.
> 
> IIRC, this is even mentioned in the book as an example of one that
> doesn't work. Here's the table, assuming left associativity:
> 
> A xor B Result C
> T F T T T
> T F T F F
> T T F F T
> T T F T F
> F T T F T
> F T T T F
> F F F T T
> F F F F F
> 
> IOW, it's true when exactly one is true and when all are true. Rather
> counter-intuitive.

In this case it doesn't mean "exactly one of A, B, C is true", which
is an extension of "exactly one of A, B is true", which is one way
of doing xor. I can't easily work out what your table means, but I
imagine it's xor(A, xor(B, C)) or suchlike, which would not count as 
the sort of connective I was rather incompetently trying to describe.

--And.